# $Revision: 1.45.2.2 $, $Date: 2007/03/17 14:28:30 $
Summary:	A small audio/video editing software for Linux
Summary(pl):	May edytor audio/wideo dla Linuksa
Name:		avidemux
Version:	2.3.0
Release:	2
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://download2.berlios.de/avidemux/%{name}_%{version}.tar.gz
# Source0-md5:	14c58c14fc9757d36e4d72498431da42
Source1:	%{name}.desktop
Patch0:		%{name}-autoconf.patch
Patch1:		%{name}-dts_internal.patch
Patch2:		%{name}-compile.patch
Patch3:		%{name}-as_needed.patch
Patch4:		%{name}-amd64.patch
URL:		http://fixounet.free.fr/avidemux/
BuildRequires:	SDL-devel
BuildRequires:	a52dec-libs-devel
BuildRequires:	alsa-lib-devel >= 1.0
BuildRequires:	artsc-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
BuildRequires:	faad2-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.6.0
BuildRequires:	js-devel(threads)
BuildRequires:	lame-libs-devel
BuildRequires:	libdts-devel
BuildRequires:	libmad-devel
BuildRequires:	libmpeg3-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	xvid-devel >= 1:1.0
Requires:	js(threads)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A small audio/video editing software for Linux.

%description -l pl
May edytor audio/wideo dla Linuksa.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

%{__sed} -i 's/charset=Unicode/charset=UTF-8/' po/ru.po
%{__sed} -i 's/klingon/de\npt_BR/' po/LINGUAS

%build
export kde_htmldir=%{_kdedocdir}
export kde_libs_htmldir=%{_kdedocdir}
%{__make} -f admin/Makefile.common cvs
LDFLAGS="%{rpmldflags} -L/usr/X11R6/%{_lib}"
%configure \
%ifarch ppc
	--enable-altivec \
%endif
	--with-jsapi-include=%{_includedir}/js \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install avidemux_icon.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS History
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: avidemux.spec,v $
Revision 1.45.2.2  2007/03/17 14:28:30  hawk
- fixed amd64 build
- release 2

Revision 1.45.2.1  2007/03/03 13:16:54  hawk
- adjusted for Ac

Revision 1.45  2007/01/06 21:23:37  sls
- rel 1

Revision 1.44  2007/01/06 20:35:30  sls
- merged from DEVEL

Revision 1.43  2007/01/04 16:30:59  arekm
- better am/ac rebuild

Revision 1.42  2006/03/14 20:08:55  wolf
- 2.1.2

Revision 1.41  2006/03/12 22:48:20  freetz
- pass --with-newfaad to configure

Revision 1.40  2006/02/03 19:58:07  maciek2w
- updated to 2.1.1

Revision 1.39  2005/12/11 17:39:07  wolf
- 2.1.0

Revision 1.38  2005/10/09 16:05:17  wolf
- 2.1.0_step2

Revision 1.37  2005/09/25 17:41:33  glen
- ppc builder errors pasted to TODO

Revision 1.36  2005/09/25 11:00:48  glen
- changelog corrections (those are spaces)

Revision 1.35  2005/08/15 13:05:39  charles
- updated to 2.0.42

Revision 1.34  2005/05/28 16:21:13  charles
- BR alsa-lib-devel is back

Revision 1.33  2005/05/28 13:09:58  charles
- added avidemux.png
- s/perl/sed/
- BRs cleanups
- rel. 1

Revision 1.32  2005/05/27 14:58:25  charles
- restored changelog lost on update

Revision 1.31  2005/05/27 12:09:57  charles
- removed klingon lang
- cleanups

Revision 1.30  2005/05/27 11:32:48  charles
- updated to 2.0.40
- gettextize + ac/am, BR: autoconf
- rel. 0.1

Revision 1.29  2005/03/25 18:10:48  darekr
- BR: perl-base

Revision 1.28  2004/11/27 18:52:05  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.27  2004/08/28 22:53:40  grzegol
- updated to 2.0.28
- added desktop file

Revision 1.26  2004/07/23 13:02:27  grzegol
- updated to 2.0.26

Revision 1.25  2004/07/14 13:48:24  adgor
- config.sub refreshing

Revision 1.24  2004/07/05 16:09:37  grzegol
- removed TODO
- rel. 1

Revision 1.23  2004/07/05 14:29:41  qboosh
- hacks to fix build (kdevelop's ac/am broken as usual), use optflags

Revision 1.22  2004/07/03 22:09:19  grzegol
- rel down to 0.1 because po files are not installed and I don't know
  how to fix this

Revision 1.21  2004/07/03 20:50:59  grzegol
- updated to 2.0.24
- removed outdated Makefile patch

Revision 1.20  2004/05/13 12:40:27  pbern
- BR: libstdc++-devel

Revision 1.19  2004/03/06 23:26:22  adamg
- updated to 2.0.22
- added -autoconf and -Makefile patches
- work by Pawcioos

Revision 1.18  2003/12/15 19:46:45  wrobell
- rel. 2 to rebuild with xvid 1.0.0 beta2 on nest

Revision 1.17  2003/12/09 14:38:59  qboosh
- sorted BRs; BR: artsc-devel (used if found)

Revision 1.16  2003/11/06 13:41:50  wrobell
- ver. 2.0.18

Revision 1.15  2003/09/27 17:46:03  ankry
- fixed pl

Revision 1.14  2003/09/27 10:25:17  krzak
- up to 2.0.16

Revision 1.13  2003/08/06 16:31:54  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.12  2003/07/08 10:28:54  qboosh
- no macros in URL field, other cleanups

Revision 1.11  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.10  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:45:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/21 18:37:13  misi3k
- updated to 0.9

Revision 1.7  2003/01/24 17:43:06  rrw
- version 0.90pre30;

Revision 1.6  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.5  2002/12/28 22:10:30  wolf
- 0.9pre26

Revision 1.4  2002/06/29 20:28:41  wrobell
- ver. 0.9pre8

Revision 1.3  2002/06/17 10:56:01  qboosh
- better pl

Revision 1.2  2002/06/17 10:45:25  wrobell
- 0.9pre6

Revision 1.1  2002/06/13 13:35:27  wrobell
- based on template
